//////////
// Modifications in the original code:
// 1.	Added support for Windows operating systems.
// 2.	Added switches for different compile styles (light or professional version,
//		optimisation included or not, key protection on/off and company name).
// 3.	Definition PORT_H_INCLUDED added, which is checked in all other files using
//		different switches. This way all files are compiled in the same manner and
//		errors because of different compile styles are avoided.
// Author: Janez Puhan
//////////
// 4.	Added support for Linux and Solaris.
// Author: Arpad Burmen
//////////

/**********
Copyright 1990 Regents of the University of California.  All rights reserved.
**********/

#ifndef PORT_H_INCLUDED	// For switches checking.
#define PORT_H_INCLUDED
#endif
#ifndef LIGHT_VERSION	// For compiling light version.
#define LIGHT_VERSION
#endif
#ifndef LIGHT_VERSION	// For compiling professional version.
#define KEY_PROT	// Key protection.
#define OPTIMISATION_INCLUDED	// Optimisation is included.
#define SIMSHELF 0	// Company name.
#define KYAK 1
#define COMPANY SIMSHELF
// #define COMPANY KYAK
#endif

/*
 *  Operating System
 */

#ifdef aix
#  include "os_aix.h"
#  define CONFIGURED
#endif

#ifdef bsd
#  include "os_bsd.h"
#  define CONFIGURED
#endif

#ifdef ultrix
#  include "os_ultrx.h"
#  define CONFIGURED
#endif

#ifdef sun
#  include "os_sun.h"
#  define CONFIGURED
#endif

#ifdef hpux
#  include "os_hpux.h"
#  define CONFIGURED
#endif

#ifdef sequent
#  include "os_dynix.h"
#  define CONFIGURED
#endif

#ifdef sgi
#  include "os_sysv.h"
#  define CONFIGURED
#endif

#ifdef ipsc
#  include "os_ipsc.h"
#  define CONFIGURED
#endif

#ifdef MSDOS
#  include "os_msdos.h"
#  define CONFIGURED
#endif

#ifdef WIN32	// Support for Windows operating systems.
#include "os_win32.h"
#define CONFIGURED
#endif

#ifdef NeXT
#  include "os_bsd.h"
#  define CONFIGURED
#endif

#ifdef THINK_C
#  include "os_mac.h"
#  define CONFIGURED
#endif

#ifdef alpha_osf
#  include "os_osf.h"
#  define CONFIGURED
#endif

#ifdef linux	// Added by Arpad Burmen.
#  include "os_linux.h"
#  define CONFIGURED
#endif

#ifdef lnxqt	// Added by Arpad Burmen.
#  include "os_lnxqt.h"
#  define CONFIGURED
#endif

#ifdef solqt	// Added by Arpad Burmen.
#  include "os_solqt.h"
#  define CONFIGURED
#endif


#ifndef CONFIGURED

error error error error

Operating system type unknown

error error error error

#endif
